setwd('~/Dropbox/MedsResponse/')
data<-read.csv('FC5_Meds_DeID.csv',header=TRUE)
failedseen<-sort(unique(data$X..failed))
percPNESbycnt<-matrix(data=NA,nrow=length(failedseen)+1,ncol=4)
for (ind in 1:(length(failedseen)+1)) {
	if ( ind<=length(failedseen) ) {
	    iy=which(data$X..failed==failedseen[ind])
	    percPNESbycnt[ind,1]=failedseen[ind]	
	} else {
		iy=which(is.na(data$X..failed))
	}
	percPNESbycnt[ind,2]=length(which(data$Subtype[iy]==1))
	percPNESbycnt[ind,3]=length(which(data$Subtype[iy]>10))
	percPNESbycnt[ind,4]=percPNESbycnt[ind,2]/(percPNESbycnt[ind,3]+percPNESbycnt[ind,2])
}
percPNESbycnt<-percPNESbycnt[c(16,1:15),]
colnames(percPNESbycnt)<-c("#Failed","#PNES","#ES","PercPNES")
plot(percPNESbycnt[,4])